from UserList import UserList

class ActionList(UserList):
    def __init__(self):
        UserList.__init__(self)

    def __repr__(self):
        rt = '<ActionList at %x: [' % id(self)
        for action in self.data:
            rt = rt + repr(action)
            if action != self.data[-1]:
                rt = rt + ', '
        rt = rt + ']>'
        return rt
